VME Intensity Monitor - Milestone #11150

PXIE - ABB ADC Support
12/15/2015 01:58 PM - Roger Tokarek

Status: Closed Start date: 12/15/2015
Priority: Normal Due date: 12/16/2015
Assignee: Roger Tokarek % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Spent time: 2.00 hours
Description

Engineering requests we replace the existing BBB ADC in pxint with an ABB ADC mimicking mi30tor.

History

#1 - 12/15/2015 02:30 PM - Roger Tokarek

- File img_3239.png added

From Aisha:

Would like this finalized by end January. Useful now as a platform for both software and hardware studies.

e Step 1: Copy mi30tor to pxint with ABB02 Firmware.
* Step 2: Acnet should continue to display current (2 devices).

e Step 3: Short term current (1) display: Bob Kucera or Bruce Hanna may have an Acnet device that provides the current width from a TTL signal.

If so, use this value to calculate the current.
e Step 4: Long term current (l) display: Ning will read the width from the TTL or Acnet device and make it available in a register.

current = intensity/width
#2 - 12/16/2015 03:34 PM - Roger Tokarek
Reference D150 pxie <1> or 134 toroid <24>

Ning installed a new ADC in the pxint crate, F/W ABB02, base address 0x4000.

A new pxintstartup script has been created modeled on mi30torstartup. A copy of the original pxintstartup (F/W A09) has been archived in Git as
pxintstartupBBBoriginal - yes, the name should have been A09, not BBB.

As of Dec 2015 pxie has only one toroid reporting and that is to Channel 1, Z:PXINT2 and Z:PXCUR2. A test signal is displayed on Channel 0,
Z:PXINT1 and Z:PXCURT1.
Next Steps

Make the pulse width available to pxint to calculate current.
Calculate current.

Provide latched current.

Rename Z Acnet devices to Pxie requests, contact Bruce.

#3 - 12/18/2015 10:07 AM - Roger Tokarek
- % Done changed from 0 to 20

#4 - 08/03/2016 10:21 AM - Roger Tokarek
- Status changed from New to Resolved

- % Done changed from 20 to 100

#5 - 10/13/2016 02:30 PM - Elliott McCrory

- Status changed from Resolved to Closed
